gem edn ::Bignum is deprecated in ruby-2.4.

Sergey's Avatar

Sergey

05 Oct, 2017 05:09 PM

Using MAC OS

Environment:
$ ruby --version ruby 2.4.2p198 (2017-09-14 revision 59899) [x86_64-darwin16]

$ irb2.4.2 :001 > require 'edn' /Users/arzamascevsergej/.rvm/gems/ruby-2.4.2/gems/edn-1.1.1/lib/edn/core_ext.rb:97: warning: constant ::Bignum is deprecated => true

This warning relates to following issue:
https://bugs.ruby-lang.org/issues/12005

Should I replace "Bignum" instances manually in core_ext.rb file to "Integer"?

P.S>
There is request pending over 3 months with no comments or solution.
https://github.com/relevance/edn-ruby/issues/39

  1. Support Staff 1 Posted by David Radcliffe on 05 Oct, 2017 05:32 PM

    David Radcliffe's Avatar

    This is a support site for the rubygems library and RubyGems.org, not individual gems. Your github issue is likely the proper place to report such errors.

  2. David Radcliffe closed this discussion on 05 Oct, 2017 05:32 PM.

Comments are currently closed for this discussion. You can start a new one.

Keyboard shortcuts

Generic

? Show this help
ESC Blurs the current field

Comment Form

r Focus the comment reply box
^ + ↩ Submit the comment

You can use Command ⌘ instead of Control ^ on Mac